Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class RoutingCaseParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.ConditionParams
          umontreal.iro.lecuyer.contactcenters.msk.params.RoutingCaseParams

    public class RoutingCaseParams

extends ConditionParams

Represents a case inside a routing stage, and described using a routing condition along with vectors of ranks. If the vectors of ranks are omitted, no changes to priorities are performed if the condition applies.

Java class for RoutingCaseParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RoutingCaseParams">
       <complexContent>
         <extension base="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}ConditionParams">
           <sequence>
             <group ref="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}VectorsOfRanks" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected double[]` | `agentGroupRanks`
`protected Named` | `agentGroupRanksFunc`
`protected double[]` | `agentGroupRanksRel`
`protected double[]` | `queueRanks`
`protected Named` | `queueRanksFunc`
`protected double[]` | `queueRanksRel`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.ConditionParams
`all, custom, either, fracBusyAgents, fracBusyAgentsThresh, numFreeAgents, numFreeAgentsThresh, queueSizes, queueSizeThresh, stat`

Constructor Summary
`RoutingCaseParams()`

Method Summary
`double[]` | `getAgentGroupRanks()`
`double` | `getAgentGroupRanks(int idx)`
`Named` | `getAgentGroupRanksFunc()` Gets the value of the agentGroupRanksFunc property.
`int` | `getAgentGroupRanksLength()`
`double[]` | `getAgentGroupRanksRel()`
`double` | `getAgentGroupRanksRel(int idx)`
`int` | `getAgentGroupRanksRelLength()`
`double[]` | `getQueueRanks()`
`double` | `getQueueRanks(int idx)`
`Named` | `getQueueRanksFunc()` Gets the value of the queueRanksFunc property.
`int` | `getQueueRanksLength()`
`double[]` | `getQueueRanksRel()`
`double` | `getQueueRanksRel(int idx)`
`int` | `getQueueRanksRelLength()`
`boolean` | `isSetAgentGroupRanks()`
`boolean` | `isSetAgentGroupRanksFunc()`
`boolean` | `isSetAgentGroupRanksRel()`
`boolean` | `isSetQueueRanks()`
`boolean` | `isSetQueueRanksFunc()`
`boolean` | `isSetQueueRanksRel()`
`void` | `setAgentGroupRanks(double[] values)`
`double` | `setAgentGroupRanks(int idx, double value)`
`void` | `setAgentGroupRanksFunc(Named value)` Sets the value of the agentGroupRanksFunc property.
`void` | `setAgentGroupRanksRel(double[] values)`
`double` | `setAgentGroupRanksRel(int idx, double value)`
`void` | `setQueueRanks(double[] values)`
`double` | `setQueueRanks(int idx, double value)`
`void` | `setQueueRanksFunc(Named value)` Sets the value of the queueRanksFunc property.
`void` | `setQueueRanksRel(double[] values)`
`double` | `setQueueRanksRel(int idx, double value)`
`void` | `unsetAgentGroupRanks()`
`void` | `unsetAgentGroupRanksRel()`
`void` | `unsetQueueRanks()`
`void` | `unsetQueueRanksRel()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.ConditionParams
`getAll, getCustom, getEither, getFracBusyAgents, getFracBusyAgentsThresh, getNumFreeAgents, getNumFreeAgentsThresh, getQueueSizes, getQueueSizeThresh, getStat, isSetAll, isSetCustom, isSetEither, isSetFracBusyAgents, isSetFracBusyAgentsThresh, isSetNumFreeAgents, isSetNumFreeAgentsThresh, isSetQueueSizes, isSetQueueSizeThresh, isSetStat, setAll, setCustom, setEither, setFracBusyAgents, setFracBusyAgentsThresh, setNumFreeAgents, setNumFreeAgentsThresh, setQueueSizes, setQueueSizeThresh, setStat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### agentGroupRanks

    protected double[] agentGroupRanks

### agentGroupRanksRel

    protected double[] agentGroupRanksRel

### agentGroupRanksFunc

    protected Named agentGroupRanksFunc

### queueRanks

    protected double[] queueRanks

### queueRanksRel

    protected double[] queueRanksRel

### queueRanksFunc

    protected Named queueRanksFunc

Constructor Detail

### RoutingCaseParams

    public RoutingCaseParams()

Method Detail

### getAgentGroupRanks

    public double[] getAgentGroupRanks()

  Returns:
    array of `Double`

### getAgentGroupRanks

    public double getAgentGroupRanks(int idx)

  Returns:
    one of `Double`

### getAgentGroupRanksLength

    public int getAgentGroupRanksLength()

### setAgentGroupRanks

    public void setAgentGroupRanks(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setAgentGroupRanks

    public double setAgentGroupRanks(int idx,
                                     double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetAgentGroupRanks

    public boolean isSetAgentGroupRanks()

### unsetAgentGroupRanks

    public void unsetAgentGroupRanks()

### getAgentGroupRanksRel

    public double[] getAgentGroupRanksRel()

  Returns:
    array of `Double`

### getAgentGroupRanksRel

    public double getAgentGroupRanksRel(int idx)

  Returns:
    one of `Double`

### getAgentGroupRanksRelLength

    public int getAgentGroupRanksRelLength()

### setAgentGroupRanksRel

    public void setAgentGroupRanksRel(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setAgentGroupRanksRel

    public double setAgentGroupRanksRel(int idx,
                                        double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetAgentGroupRanksRel

    public boolean isSetAgentGroupRanksRel()

### unsetAgentGroupRanksRel

    public void unsetAgentGroupRanksRel()

### getAgentGroupRanksFunc

    public Named getAgentGroupRanksFunc()

  Gets the value of the agentGroupRanksFunc property.

  Returns:
    possible object is `Named`

### setAgentGroupRanksFunc

    public void setAgentGroupRanksFunc(Named value)

  Sets the value of the agentGroupRanksFunc property.

  Parameters:
    `value` - allowed object is `Named`

### isSetAgentGroupRanksFunc

    public boolean isSetAgentGroupRanksFunc()

### getQueueRanks

    public double[] getQueueRanks()

  Returns:
    array of `Double`

### getQueueRanks

    public double getQueueRanks(int idx)

  Returns:
    one of `Double`

### getQueueRanksLength

    public int getQueueRanksLength()

### setQueueRanks

    public void setQueueRanks(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setQueueRanks

    public double setQueueRanks(int idx,
                                double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetQueueRanks

    public boolean isSetQueueRanks()

### unsetQueueRanks

    public void unsetQueueRanks()

### getQueueRanksRel

    public double[] getQueueRanksRel()

  Returns:
    array of `Double`

### getQueueRanksRel

    public double getQueueRanksRel(int idx)

  Returns:
    one of `Double`

### getQueueRanksRelLength

    public int getQueueRanksRelLength()

### setQueueRanksRel

    public void setQueueRanksRel(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setQueueRanksRel

    public double setQueueRanksRel(int idx,
                                   double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetQueueRanksRel

    public boolean isSetQueueRanksRel()

### unsetQueueRanksRel

    public void unsetQueueRanksRel()

### getQueueRanksFunc

    public Named getQueueRanksFunc()

  Gets the value of the queueRanksFunc property.

  Returns:
    possible object is `Named`

### setQueueRanksFunc

    public void setQueueRanksFunc(Named value)

  Sets the value of the queueRanksFunc property.

  Parameters:
    `value` - allowed object is `Named`

### isSetQueueRanksFunc

    public boolean isSetQueueRanksFunc()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.